package com.ruoyi.bar.service;

import com.ruoyi.bar.domain.WyWechatUser;

import java.util.List;

/**
 * 微信用户Service接口
 * 
 * @author kxl
 * @date 2024-12-16
 */
public interface IWyWechatUserService 
{
    /**
     * 查询微信用户
     * 
     * @param openId 微信用户主键
     * @return 微信用户
     */
    public WyWechatUser selectWyWechatUserByOpenId(String openId);

    /**
     * 查询微信用户列表
     * 
     * @param wyWechatUser 微信用户
     * @return 微信用户集合
     */
    public List<WyWechatUser> selectWyWechatUserList(WyWechatUser wyWechatUser);

    /**
     * 新增微信用户
     * 
     * @param wyWechatUser 微信用户
     * @return 结果
     */
    public int insertWyWechatUser(WyWechatUser wyWechatUser);

    /**
     * 修改微信用户
     * 
     * @param wyWechatUser 微信用户
     * @return 结果
     */
    public int updateWyWechatUser(WyWechatUser wyWechatUser);

    /**
     * 批量删除微信用户
     * 
     * @param openIds 需要删除的微信用户主键集合
     * @return 结果
     */
    public int deleteWyWechatUserByOpenIds(String[] openIds);

    /**
     * 删除微信用户信息
     * 
     * @param openId 微信用户主键
     * @return 结果
     */
    public int deleteWyWechatUserByOpenId(String openId);
}
